//------------------------------------------------------------------------------
// Copyright (c) 2008 www.dnaide.com
// Licensed under the MIT (MIT-LICENSE.txt)
//------------------------------------------------------------------------------
using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace DNAide.Configuration
{
	/// <summary>
	/// ViewStateModuleConfig
	/// </summary>
	public class ViewStateModuleConfig : ConfigurationElement
	{

		/// <summary>ViewStateModuleConfig</summary>
		public ViewStateModuleConfig()
		{
		}


		/// <summary>
		/// Event in the request lifecycle when the rewriter works. Default "BeginRequest".
		/// </summary>
		[ConfigurationProperty("firesOnEvent", DefaultValue = "BeginRequest", IsRequired = false)]
		public HttpModuleFiringEvent FiresOnEvent
		{
			get
			{
				return (HttpModuleFiringEvent)this["firesOnEvent"];
			}
			set
			{
				this["firesOnEvent"] = value;
			}
		}


		/// <summary>
		/// File types that the rewriter will deal with. Default ".htm,.aspx".
		/// You can map all file types by setting this value to be ".*" if required.
		/// </summary>
		[ConfigurationProperty("applicableFileExtensions", DefaultValue = ".htm,.aspx", IsRequired = false)]
		public String ApplicableFileExtensions
		{
			get
			{
				return (string)this["applicableFileExtensions"];
			}
			set
			{
				this["applicableFileExtensions"] = value;
			}
		}

	}
}
