//------------------------------------------------------------------------------
// Copyright (c) 2008 www.dnaide.com
// Licensed under the MIT (MIT-LICENSE.txt)
//------------------------------------------------------------------------------
namespace DNAide.Core
{
	/// <summary>
	/// Helper to cast a base data type into another base data type.
	/// </summary>
	/// <remarks>
	/// <para>
	/// Supported base types are: Boolean, Byte, Char, DateTime, Decimal, Double, Int16, Int32, Int64, Single, String
	/// </para>
	/// <para>
	/// This helper differs to the built in .NET "Convert" class in that no exceptions are thrown. The class will always return a value of the requested base data type i.e. if the class fails to convert a value into a Int32, the class will return zero, similarly a failure to convert to a DateTime will return DateTime.Now.
	/// </para>
	/// <para>
	/// The class provides that ability to specify the return default value should a cast fail.
	/// </para>
	/// </remarks>
	/// <example>
	/// <code>
	/// CastAide.AsInt32("Casting this will return the default value '10'", 10);
	/// </code>
	/// </example>
	public static partial class CastAide
	{

	}
}
