using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

namespace DNAide.Website.UserControls
{
	public partial class NavigationSecondary : System.Web.UI.UserControl
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			SiteMapNode startingNode;
			if (SiteMap.CurrentNode == SiteMap.RootNode)
			{
				startingNode = SiteMap.RootNode;
			}
			else if (SiteMap.CurrentNode.ParentNode == SiteMap.RootNode)
			{
				startingNode = SiteMap.CurrentNode;
			}
			else
			{
				startingNode = SiteMap.CurrentNode.ParentNode;
			}

			StringWriter sw = new StringWriter();
			HtmlTextWriter writer = new HtmlTextWriter(sw);
			writer.WriteBeginTag("div");
			writer.WriteAttribute("id", "NavigationSecondary");
			writer.WriteAttribute("class", "selfclear");
			writer.Write(HtmlTextWriter.TagRightChar);
			writer.WriteBeginTag("h2");
			writer.WriteAttribute("class", "navigation-secondary");
			writer.Write(HtmlTextWriter.TagRightChar);
			writer.WriteBeginTag("a");
			writer.WriteAttribute("href", startingNode.Url);
			writer.Write(HtmlTextWriter.TagRightChar);
			writer.Write(startingNode.Title);
			writer.WriteEndTag("a");
			writer.WriteEndTag("h2");
			writer.WriteFullBeginTag("ul");
			foreach (SiteMapNode childNode in startingNode.ChildNodes)
			{
				writer.WriteFullBeginTag("li");
				writer.WriteBeginTag("a");
				writer.WriteAttribute("href", childNode.Url);
				if (childNode.Key == SiteMap.CurrentNode.Key)
				{
					writer.WriteAttribute("class", "active");
				}
				writer.Write(HtmlTextWriter.TagRightChar);
				writer.Write(childNode.Title);
				writer.WriteEndTag("a");
				writer.WriteEndTag("li");
			}
			writer.WriteEndTag("ul");
			writer.WriteEndTag("div");
			this.NavigationSecondaryHtml.Text = sw.GetStringBuilder().ToString();
		}
	}
}